/*   Cataract - Static web photo gallery generator
 *   Copyright (C) 2008 Tomas Bzatek <tbzatek@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include <glib.h>

#define IS_DIR_SEP(ch) ((ch) == '/' || (ch) == '~')
#define IS_EQUAL_SIGN(ch) ((ch) == '=')


/*
 *   str_replace: replace substring 'search' with a 'replace' string
 *                - multiple occurences of the string are replaced
 *                - specify 'exclude_when' if you want to skip replace when a string found at the place of 'search'
 *                - reallocates the original string
 */
void str_replace (char **dst, const char *search, const char *replace, const char *exclude_when);

/*
 *   copy_file: copy file from src to dst
 */
gboolean copy_file (const char *src, const char *dst);

/*
 *   make_string: make string of 'substr' substrings
 *                - returns newly allocated string
 */
char *make_string (const char* substr, const int count);

/*
 *   fix_entities: replace all invalid & entities with &amp;
 *                 - returns newly allocated string
 */
void fix_entities (char **str);
